Loading...
Searching...
No Matches
factory File Reference

Common factory related definitions. More...

`#include <l4/sys/factory.h>`
`#include <l4/sys/capability>`
`#include <l4/sys/snd_destination>`
`#include <l4/sys/cxx/ipc_iface>`
`#include <l4/sys/cxx/ipc_varg>`
Include dependency graph for factory:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | L4::Factory
| C++ Factory interface, see Factory for the C interface. More...
struct | L4::Factory::Nil
| Special type to add a void argument into the factory create stream. More...
struct | L4::Factory::Lstr
| Special type to add a pascal string into the factory create stream. More...
class | L4::Factory::S
| Stream class for the create() argument stream. More...

## Namespaces

namespace | L4
| L4 low-level kernel interface.

## Detailed Description

Common factory related definitions.

Definition in file factory.